<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	/******* FUNCTIONS  ***********/
/*
	Funcion que devuelve el archivo buscado linea por linea
	$path -> ruta hacia el archivo
	$close -> Retorna o borra (true|false)
	$org_path -> ruta hacia el directorio temporal

	THIS FUNCTION AND SOME PARTS OF THIS SCRIPT ARE BASED ON 
	phpMyBackupPro
	http://www.phpMyBackupPro.net
*/

function get_lines($path, $close=false, $org_path=false) {
    if (!isset($GLOBALS['lnFile'])) $GLOBALS['lnFile']=null;
    if (!$org_path) $org_path=$path; else $org_path="ftps/".$org_path;
        
		if (!$close) {
	        if ($GLOBALS['lnFile']==null) {
	            $GLOBALS['lnFile']=fopen($path, "r");
	        }
	        
	        if (!feof($GLOBALS['lnFile'])) {
	           return fgets($GLOBALS['lnFile']);
	        } else {
	            $close=true;
	        }
		}
		
		if ($close) {
			// remove the file handler
			@fclose($GLOBALS['lnFile']);
            $GLOBALS['lnFile']=null;
            return null;
        }
}

/*
	Funcion para conectar con la base de datos
*/
function myconnect($host,$user,$pass,$namedb,$err='')
{
	
	$conn = mysql_connect($host,$user,$pass);
	if (!$conn)
	{
		
		return $err;
				
	} else {
		
		$sel = mysql_select_db($namedb,$conn);
		if (!$sel)
		{
			return	$err;	
		}
	}
}
	/******* END FUNCTIONS  ***********/

	/******* CONFIGURACION  ***********/

	$titulo = "inGenio X : install";
	$archivo = $_SERVER['SCRIPT_NAME'];

	/******* CONFIGURACION FIN ********/


	if (isset($_GET["ESP"]))
	{
		setcookie("GX_inlang", "ESP", 0, "/");
		header ("Location: ".$archivo);
		exit;
	} else if (isset($_GET["ENG"])) {
		setcookie("GX_inlang", "ENG", 0, "/");
		header ("Location: ".$archivo);
		exit;
	}

	if (isset($_COOKIE["GX_inlang"]))
	{
		$lang_install = $_COOKIE["GX_inlang"];
	} else {
		$lang_install = "ESP";
	}


	// textos //
	if ($lang_install == "ESP") {
	// ESP //
	$text_rot = "INSTALACIÓN";
	$text_rot1 = "ACCESO RESTRINGIDO";
	$text_data1 = "Datos de instalación necesarios";
	$text_data2 = "Datos de instalación opcionales";
	$text_data3 = "Archivo SQL de instalación o actualización";
	$text_data4 = "Modo de instalación";
	$text_1 = "HOST de la Base de Datos<br />(e. localhost)";
	$text_2 = "Nombre del usuario de la Base de Dato";
	$text_3 = "Contraseña del usuario de la Base de Datos";
	$text_4 = "Nombre de la Base de Datos";
	$text_5 = "Nombre del DOMINIO completo<br />(e. www.midominio.com)";
	$text_6 = "Ruta desde el dominio sin '/'. 'web' es obligatorio.<br />Modificar sólo para instalaciones especiales.<br />(e. web) (e. nombre_directorio/web)";
	$text_7 = "Nombre del archivo de acceso al administrador<br />(e. admin.php)";
	$text_8 = "Nombre del directorio del administrador<br />(e. adms)";
	$text_9 = "Elegir archivo SQL";
	$text_10 = "Actualización SQL";
	$text_11 = ": INSTALAR :";
	$text_12 = ": PROBAR :";
	$text_13 = "¡¡ ATENCIÓN !!<br />Los archivos o directorios siguientes NO TIENEN PERMISO DE ESCRITURA 0777";
	$text_14 = "ERROR:<br />El archivo 'ingenio_conn.php' no existe";
	$text_15 = "ERROR:<br />El archivo 'ingenio_conn.php' no es válido";
	$text_16 = "ERROR:<br />Los datos ingresados NO PERMITEN CONECTAR. Inténtelo de nuevo";
	$text_17 = "Instalación efectuada CORRECTAMENTE";
	$text_18 = ": ENTRAR :";
	$text_19 = "¡¡ ATENCIÓN !!<br />Recuerde renombrar o borrar este archivo después de entrar en el administrador";
	$text_20 = "Usuario:";
	$text_21 = "Contraseña:";
	$text_22 = "Primera instalación";
	$text_23 = "&lt;&lt; volver";
	$text_24 = "Modificar datos de instalación";
	$text_25 = "Nombre del directorio de los archivos privados<br />(e. archivos_priv)";
	$text_26 = "Versión instalada";
	$text_27 = "Versión para instalar";
	$text_28 = "ERROR:<br />No se reconoce la versión";
	$text_29 = "Los cambios deben hacerse antes de modificarlos aquí";
	$text_30 = "ERROR:<br />Contraseña de usuario incorrecta";
	$text_31 = "Debe rellenar todos los datos requeridos";
	}
	else if ($lang_install == "ENG") {
	// ENG //
	$text_rot = "INSTALLATION";
	$text_rot1 = "RESTRICTED ACCESS";
	$text_data1 = "Necessary installation data";
	$text_data2 = "Optional installation data";
	$text_data3 = "SQL file of installation or update";
	$text_data4 = "Installation way";
	$text_1 = "HOST Data Base<br />(e. localhost)";
	$text_2 = "Data Base user";
	$text_3 = "Data Base user password";
	$text_4 = "Data Base name";
	$text_5 = "DOMAIN name<br />(e. www.mydomain.com)";
	$text_6 = "Path from domain without '/'. 'web' is obligatory.<br />Modify only for special installations.<br />(e. web) (e. directory_name/web)";
	$text_7 = "File name to access to the administrator<br />(e. admin.php)";
	$text_8 = "Directory name of the administrator<br />(e. adms)";
	$text_9 = "Choose SQL file";
	$text_10 = "SQL update";
	$text_11 = ": INSTALL :";
	$text_12 = ": TRY :";
	$text_13 = "¡¡ ATTENTION !!<br />The following files or directories DO NOT HAVE WRITING PERMISSION 0777";
	$text_14 = "ERROR:<br />The file 'ingenio_conn.php' does not exist";
	$text_15 = "ERROR:<br />The file 'ingenio_conn.php' is not valid";
	$text_16 = "ERROR:<br />The entered data DO NOT ALLOW TO CONNECT. Try again";
	$text_17 = "Installation successful CORRECTLY";
	$text_18 = ": ENTER :";
	$text_19 = "¡¡ ATTENTION !!<br />Remember rename or erase this file after entering into administrator area";
	$text_20 = "User:";
	$text_21 = "Password:";
	$text_22 = "First installation";
	$text_23 = "&lt;&lt; back";
	$text_24 = "Modify installation data";
	$text_25 = "Directory name of the private files<br />(e. archivos_priv)";
	$text_26 = "Installed version";
	$text_27 = "Version to install";
	$text_28 = "ERROR:<br />The version is not clear";
	$text_29 = "The changes must become before modifying them here";
	$text_30 = "ERROR:<br />Incorrect user password";
	$text_31 = "It must fill up all the required data";
	}
	// FIN textos //

	// EXISTE CONFIG //
		if (file_exists("./igns/ingenio_conn.php"))
		{
			// existe
			if (!isset($_POST["install"]))
			{
				$ingenio_conn = array();
				include("./igns/ingenio_conn.php");

				// array complet
				if (!isset($ingenio_conn[5])) { $ingenio_conn[5] = "web"; }
				if (!isset($ingenio_conn[6])) { $ingenio_conn[6] = "admin.php"; }
				if (!isset($ingenio_conn[7])) { $ingenio_conn[7] = "adms"; }
				if (!isset($ingenio_conn[8])) { $ingenio_conn[8] = "archivos_priv"; }
			}

		} else {
	
			$ingenio_conn = array();
			$ingenio_conn[0] = "localhost"; // HOST (ex. localhost)
			$ingenio_conn[1] = ""; // Data Base user
			$ingenio_conn[2] = ""; // Data Base user password
			$ingenio_conn[3] = ""; // Data Base name
			$ingenio_conn[4] = ""; // DOMAIN name (ex. www.mydomain.com)
			$ingenio_conn[5] = "web"; // Path from domain without '/'. 'web' is obligatory (ex. web) (ex. directory_name/web)
			$ingenio_conn[6] = "admin.php"; // FILE name of ACCESS to the administrator (ex. admin.php)
			$ingenio_conn[7] = "adms"; // DIRECTORY name of the administrator (ex. adms)
			$ingenio_conn[8] = "archivos_priv"; // DIRECTORY name of the private files (ex. archivos_priv)
		
			$err = $text_14;
	
		}
	// FIN EXISTE CONFIG //

	// CHECK //
	if (isset($_POST["install"]))
	{
		$ingenio_userpass = false;
	} else {
		$ingenio_userpass = true;
	}
	// FIN CHECK //

	
	// TEST //
	// chekeo antes de instalar
	if (!isset($_POST["install"]))
	{

		// inGenio userpass //
		if ($ingenio_conn[1] != "" && $ingenio_conn[2] != "" && !isset($_COOKIE["GX_incode"]))
		{	
			$ingenio_userpass = true;
		
		} else if ($ingenio_conn[1] == "" && $ingenio_conn[2] == "") {
		
			$ingenio_userpass = false;
	
		} else if ($ingenio_conn[1] != "" && $ingenio_conn[2] != "" && isset($_COOKIE["GX_incode"])) {
			
			if ($_COOKIE["GX_incode"] == $ingenio_conn[2]) {
				$ingenio_userpass = false;
			} else {
				$ingenio_userpass = true;
			}

		}
		// FIN inGenio userpass //

		// inGenio userpass post //
		if (isset($_POST["ingeniopass"]))
		{
			$codep = trim($_POST["code"]);	
			if ($codep == $ingenio_conn[2])
			{
				// gestion por sesion
				setcookie("GX_incode", $ingenio_conn[2], 0, "/");
				header ("Location: ".$archivo);
				exit;
			} else {
				$err_code = $text_30;
				$ingenio_userpass = true;
			}		
		}
		// FIN inGenio userpass post //

		// lista de directorios y archivos
		$err_dir_test = array();
		$err_dir_test[0] = "./archivos";
		$err_dir_test[1] = "./archivos_html";
		$err_dir_test[2] = "./archivos_mult";
		$err_dir_test[3] = "./".$ingenio_conn[8];
		$err_dir_test[4] = "./fotos";
		$err_dir_test[5] = "./ftps";
		$err_dir_test[6] = "./ftps/lista_archivos.js";
		$err_dir_test[7] = "./ftps/ingenio_cm.js";
		$err_dir_test[8] = "./imagenes";
		$err_dir_test[9] = "./templates_c";
		$err_dir_test[10] = "./templates_cp";
		$err_dir_test[11] = "./igns";
		$err_dir_test[12] = "./igns/ingenio_conn.php";
	
		$testinstal = "";
	
		for ($i=0; $i<count($err_dir_test); $i++)
		{
			if ( !is_writable($err_dir_test[$i]))
			{ 
				$testinstal .= $err_dir_test[$i]."<br />"; 
			}
	
		}
	}
	// FIN TEST //
	
// variables usadas
$mostrar_form = true;
$sql_error = false;
$opvalor = isset($_POST['op']) ? $_POST['op'] : false ;  
if (!isset($_POST['sql_query'])) { $_POST['sql_query'] = false; }
if (!isset($_POST['sql_file'])) { $_POST['sql_file'] = false; }
if (!isset($_FILES['sql_file'])) { $_FILES['sql_file'] = false; }  

// proceder a la instalacion //
if (isset($_POST["install"]) && $opvalor)
{

    @set_time_limit(60);
    @ignore_user_abort(TRUE);


	// DATOS CONFIG //
 	if ($opvalor == 1 || $opvalor == 3)
 	{
 		// existe? 
 		if (!file_exists("./igns/ingenio_conn.php"))
 		{
			// NO ES VALIDO ingenio_conn.php //
			$err = $text_15;
		
		} else {

			$f = @fopen("./igns/ingenio_conn.php","w");
			$s = '<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication\'s tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/* OBLIGATORIOS / OBLIGATORY
	[0] -> HOST de la Base de Datos (ej. localhost)
	[1] -> Nombre del usuario de la Base de Datos
	[2] -> \'password\' del usuario de la Base de Datos
	[3] -> Nombre de la Base de Datos
	[4] -> Nombre del domino completo (ej. www.midominio.com)
*/
$ingenio_conn[0] = "'.$_POST["host"].'"; // HOST (ex. localhost)
$ingenio_conn[1] = "'.$_POST["user"].'"; // Data Base user
$ingenio_conn[2] = "'.$_POST["pass"].'"; // Data Base user password
$ingenio_conn[3] = "'.$_POST["base"].'"; // Data Base name
$ingenio_conn[4] = "'.$_POST["dom"].'"; // DOMAIN name (ex. www.mydomain.com)


/* OPCIONALES / OPTIONAL
	[5] -> Ruta desde el dominio sin \'/\' al inicio ni al final. \'web\' es obligatorio. (ej. web) (ej. nombre_directorio/web)
	[6] -> Nombre del archivo de acceso al administrador (ej. admin.php)
	[7] -> Nombre del directorio del administrador (ej. adms)
	[8] -> Nombre del directorio de los archivos privados (ej. archivos_priv)
*/
$ingenio_conn[5] = "'.$_POST["dir"].'"; // Path from domain without \'/\'. \'web\' is obligatory (ex. web) (ex. directory_name/web)
$ingenio_conn[6] = "'.$_POST["file"].'"; // FILE name of ACCESS to the administrator (ex. admin.php)
$ingenio_conn[7] = "'.$_POST["adir"].'"; // DIRECTORY name of the administrator (ex. adms)
$ingenio_conn[8] = "'.$_POST["pdir"].'"; // DIRECTORY name of the private files (ex. archivos_priv)



?>';
?><?php	
	
			fwrite($f,$s);
			fclose($f);
		
		} //del if existe?
	}
	// FIN DATOS CONFIG //


	// CONEXION //
	$ingenio_conn = array();
	include("./igns/ingenio_conn.php");
	$conn = myconnect($ingenio_conn[0],$ingenio_conn[1],$ingenio_conn[2],$ingenio_conn[3],"ERROR");
	if ($conn == "ERROR")
	{
		$err_conn = $text_16;
	} else {
		// gestion por sesion
		setcookie("GX_incode", $ingenio_conn[2], 0, "/");
	}
	// FIN CONEXION //


    // subir archivo //
    if ($_FILES['sql_file'] && ($opvalor == 1 || $opvalor == 2))
    {
            	
    	if (is_uploaded_file($_FILES['sql_file']['tmp_name']))
    	{
            
	        // trim lines and remove comments
	        $sql_file="";
	
			// remove comments and store sql queries in $sql_file		
	        while($line=get_lines($_FILES['sql_file']['tmp_name'],false,$_FILES['sql_file']['name']))
	        {
	        	if (trim($line) && substr(trim($line),0,1) != "#" && substr(trim($line),0,2) != "--") 
	        	{
	        		$sql_file.=trim($line)."\n";
	        	}
	        }
	        get_lines($_FILES['sql_file']['tmp_name'],true,$_FILES['sql_file']['name']);
	        
	        // do everything below once for the POST-data and once for the file
	        $file_and_post=array($_POST['sql_query'],$sql_file);
    	}

    	if(!isset($file_and_post)) {
        	$file_and_post=array($_POST['sql_query']);
    	}


		// $key > 0 when the source was a file
		// $key > 0 cuando era un archivo
		foreach($file_and_post as $key=>$sql_queries)
		{
	
			// replace these strings in the sql query. Do you know any more or a better way?
			if (!$key)
			{
				$str_find=array("\\'",'\\"',"\\\\");  //"
				$str_repl=array("'",'"',"\\");        //"
				$sql_queries=str_replace($str_find,$str_repl,$sql_queries);
			}
	
			// separate sql queries and remove empty queries
			// separar las llamadas y borrar las vacias
			$all_queries=str_replace(";\n",";|:-:--:-:|",$sql_queries);
			$all_queries=str_replace(";\r\n",";|:-:--:-:|",$all_queries);
			$queries=explode("|:-:--:-:|",$all_queries);
	
			// borrar filas vacias
			$all_queries="";
			foreach($queries as $number=>$query)
			{
				if (strlen($query)>1)
				{
					$all_queries[$number]=$query;
				}
			}
	
			// SQL queries
			$i=0;	        
			if (is_array($all_queries))
			{
				foreach($all_queries as $query)
				{            
					$i++;
    
					// error if: no result AND error is not 'empty result' OR: error is empty result and its the first error
					if ((!$res=mysql_query($query) AND mysql_errno()!=1065) OR (mysql_errno()==1065 AND !$sql_error))
					{
                        
						$sql_error.= $query."\n<span class=\"mensaje\">".mysql_error()."</span><br />\n";
                        
						if ($key) 
						{
							$sql_error.= "Num_".$i.", ";
                        	
						} else {
                        	
							$sql_error.=$i.", ";
						}
                    
					}
                
				} // del foreach($all_queries as $query)
            
			} // del if is_array($all_queries)
	    
		} // del foreach($file_and_post as $key=>$sql_queries)
    	
    } // del if if ($_FILES(['sql_file']))
    // FIN subir archivo //

		// user, pass //
		if (!$sql_error)
		{
			// user / pass
			$q = mysql_query("SELECT igID,topic FROM ig_ingenio");
			if ($q)
			{
				while ($rowq = mysql_fetch_row($q))
				{
					if ($rowq[0] == 8) { $userhoy = $rowq[1]; }
					if ($rowq[0] == 9) { $passhoy = base64_decode($rowq[1]); }				
				}
			} else {
				$userhoy = "admin";
				$passhoy = "1234";			
			}
		
		}
		// user, pass //

	// salida //
	if ($sql_error)
	{
		// error
		$err_sql = $sql_error;
	}	
	if (!isset($err) && !isset($err_conn) && !isset($err_sql))
	{
		// OK
		$ok_sql = $text_17;   	
	}
	// salida //

} // del if (isset($_POST["install"]))
// FIN instalacion //

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">

<head>
<meta http-equiv ="Content-Type" content="text/html; charset=utf-8" />

<title><?php echo $titulo; ?></title>

<style type="text/css">
body
{
	margin: 10px;
	background-color: #FFF;
	font-family: "Lucida Grande", Verdana, Arial, Helvetica, sans-serif;
	font-size: 10pt;
	color: #000;
}
input,textarea,select
{
	font-family: "Lucida Grande", Verdana, Arial, Helvetica, sans-serif;
	font-size: 9pt;
	padding: 2px;
}
img { border: 0px; }
a
{
	text-decoration: none;
	color: blue;
}
a:hover
{
	text-decoration: none;
}
.boton
{
	font-weight: bold;
	background-color: #CF3;
	border-top: 1px solid #CF3;
	border-left: 1px solid #CF3;
	border-bottom: 2px solid #999;
	border-right: 2px solid #999;
	cursor: pointer;
}
.mensaje
{
	color: #900;
	font-weight: bold;
	line-height: 15pt;
}
.mensaje_ok
{
	color: #0C3;
	font-weight: bold;
	line-height: 15pt;
	font-size: 14pt;
}
.mensaje_rot
{
	color: #039;
	font-weight: bold;
	line-height: 15pt;
	font-size: 14pt;
}
.mensaje_tit
{
	color: #C90;
	font-weight: bold;
	line-height: 15pt;
	font-size: 12pt;
}
.input_text
{
	background-color: #FFF;
	border: 1px dotted #900;
	width: 400px;
}
.tmini { width: 115px; }
.tmax { width: 200px; }
.tchar { width: 30px; }
.td_input { width:300px; }
.logo_admin
{
	margin: 20px 0 0 10px;
	width: 350px;
	height: 85px;
	font-size: 45pt;
	color: #666;
}
.tabla_acceso
{
	width: 750px;
	margin-top: 10px;
}
.text_norm
{
	font-size: 10pt;
	color: #999;
}

</style>

<script type="text/javascript">

function relleno(campo) {
	var cadena = / /g;
	campo = campo.replace(cadena, "");
	return (campo == "") ? true : false;
}

function validar_ingreso (form)
{
	var alerta = "<?php echo $text_31; ?>";

<?php
	// promt
	if ($ingenio_userpass)
	{
?>
		if (relleno(form.code.value))
		{ 
			alert(alerta); form.code.focus(); return false; 
		}


<?php
	}
	// FIN promt

	// install
	if (!$ingenio_userpass)
	{
?>

	if (form.op[0].checked)
	{		
		if (relleno(form.host.value))
		{ 
			alert(alerta); form.host.focus(); return false; 
		}
		if (relleno(form.user.value))
		{ 
			alert(alerta); form.user.focus(); return false; 
		}
		if (relleno(form.pass.value))
		{ 
			alert(alerta); form.pass.focus(); return false; 
		}
		if (relleno(form.base.value))
		{ 
			alert(alerta); form.base.focus(); return false; 
		}
		if (relleno(form.dom.value))
		{ 
			alert(alerta); form.dom.focus(); return false; 
		}
		if (relleno(form.dir.value))
		{ 
			alert(alerta); form.dir.focus(); return false; 
		}
		if (relleno(form.file.value))
		{ 
			alert(alerta); form.file.focus(); return false; 
		}
		if (relleno(form.adir.value))
		{ 
			alert(alerta); form.adir.focus(); return false; 
		}
		if (relleno(form.pdir.value))
		{ 
			alert(alerta); form.pdir.focus(); return false; 
		}
		if (relleno(form.sql_file.value))
		{ 
			alert(alerta); form.sql_file.focus(); return false; 
		}
	
	} else if (form.op[1].checked)
	{
		if (relleno(form.sql_file.value))
		{ 
			alert(alerta); form.sql_file.focus(); return false; 
		}
	
	} else if (form.op[2].checked)
	{
		if (relleno(form.host.value))
		{ 
			alert(alerta); form.host.focus(); return false; 
		}
		if (relleno(form.user.value))
		{ 
			alert(alerta); form.user.focus(); return false; 
		}
		if (relleno(form.pass.value))
		{ 
			alert(alerta); form.pass.focus(); return false; 
		}
		if (relleno(form.base.value))
		{ 
			alert(alerta); form.base.focus(); return false; 
		}
		if (relleno(form.dom.value))
		{ 
			alert(alerta); form.dom.focus(); return false; 
		}
		if (relleno(form.dir.value))
		{ 
			alert(alerta); form.dir.focus(); return false; 
		}
		if (relleno(form.file.value))
		{ 
			alert(alerta); form.file.focus(); return false; 
		}
		if (relleno(form.adir.value))
		{ 
			alert(alerta); form.adir.focus(); return false; 
		}
		if (relleno(form.pdir.value))
		{ 
			alert(alerta); form.pdir.focus(); return false; 
		}
	}
<?php
	}
	// FIN install
?>
} // fin validar_ingreso

</script>

</head>

<body>

<div class="logo_admin">
<?php
	if (file_exists("./skins_admin/estandar/imgs/logo_inGenioX.png"))
	{
		echo '<img src="./skins_admin/estandar/imgs/logo_inGenioX.png" />';
	} else {
		echo 'inGenio X';
	}
?>
</div>
<?php
	
	// promt
	if ($ingenio_userpass)
	{

?>
<table border="0" cellpadding="0" cellspacing="20" class="tabla_acceso" align="center">
	<form action="<?php echo $archivo; ?>" method="post" name="inicio" onsubmit="return validar_ingreso(this);">

<?php
	
	if (isset($err_code))
	{
			echo '<tr>
					<td colspan="2" align="left" class="mensaje">'.$err_code.'</td>
					</tr>';
	}

?>
    <tr> 
       <td colspan="2" align="center" class="mensaje_rot">
       		<?php  echo $text_rot1; ?>
       </td>
    </tr>
    
    <tr>
       <td align="right" nowrap>
       		<?php  echo $text_3; ?>
       </td>
       <td class="td_input"> 
			<input type="password" name="code" class="input_text tmini" value="">
       </td>
  	</tr>

  	<tr>
        <td colspan="2" align="center"> 
       			<input type="hidden" name="ingeniopass" value="1">
      			<input type="submit" value="<?php  echo $text_18; ?>" class="boton">
       </td>
	
  	</tr>

 	</form>
</table>
<?php

	}
	// FIN promt

	
	// install
	if (!$ingenio_userpass)
	{

?>
<table border="0" cellpadding="0" cellspacing="20" class="tabla_acceso" align="center">
	<form action="<?php echo $archivo; ?>" method="post" name="sql" enctype="multipart/form-data" onsubmit="return validar_ingreso(this);">

<?php
	// version instalada
	if (file_exists("./ints/core/core.aplicacion.php"))
	{
		include ("./ints/core/core.aplicacion.php");
		$ingenio_actual_version = INGENIO_VERSION;
	} else {
		$ingenio_actual_version = $text_28; // Error
		$es_disabled = 1;
	}
	$text_26_27 = $ingenio_conn[1] == "" && $ingenio_conn[2] == "" ? $text_27 : $text_26 ;
	
	// rotulo
	if (!isset($ok_sql))
	{
			echo '<tr>
					<td colspan="2" align="center" class="mensaje_rot">'.$text_rot.'</td>
					</tr>';
	}

	if ((isset($testinstal) && $testinstal != "") || isset($err))
	{
		if (isset($err))
		{
			echo '<tr>
					<td colspan="2" align="left" class="mensaje">'.$err.'</td>
					</tr>';		
		}
		
		if ($testinstal != "")
		{
			echo '<tr>
					<td colspan="2" align="left" class="mensaje">'.$text_13.'</td>
					</tr>';
			echo '<tr>
					<td align="left" colspan="2" class="mensaje">'.$testinstal.'</td>
					</tr>';
		}
		
		$es_disabled = " disabled";
	
	} else {
		
		$es_disabled = isset($es_disabled) ? " disabled" : "";
	}

	if (isset($err_conn))
	{
			echo '<tr>
					<td colspan="2" align="left" class="mensaje">'.$err_conn.'</td>
					</tr>';
	}

	if (isset($err_sql))
	{
			echo '<tr>
					<td colspan="2" align="left" class="mensaje">'.$err_sql.'</td>
					</tr>';
		
	}

	// instalacion/actualizacion de inGenio X correcta
	if (isset($ok_sql))
	{
			echo '<tr>
					<td colspan="2" align="left" class="mensaje_ok">'.$ok_sql.'</td>
					</tr>';

			echo '<tr>
					<td colspan="2" align="left">
					<input type="button" value="'.$text_18.'" class="boton" onclick="location.href=\'http://'.$ingenio_conn[4].'/'.$ingenio_conn[5].'/gestor.php?ads=1\';">
					</td>
					</tr>';

			echo '<tr>
					<td colspan="2" align="left">
					'.$text_20.' '.$userhoy.'<br />
					'.$text_21.' '.$passhoy.'
					</td>
					</tr>';

			echo '<tr>
					<td colspan="2" align="left">
					<a href="'.$archivo.'">'.$text_23.'</a> 
					</td>
					</tr>';

			if (file_exists("./install.php"))
			{
			echo '<tr>
					<td colspan="2" align="left" class="mensaje">
					'.$text_19.'<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&gt;&nbsp;&nbsp;'.$archivo.'
					</td>
					</tr>';
			}
					
		$mostrar_form = false;
		
	}

?>
<?php
	// se muestra el formulario de datos
	if ($mostrar_form)
	{
?>
 
	<tr>
       <td align="center" colspan="2" class="td_input">
       		<?php  echo '<a href="'.$archivo.'?ESP">Español</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="'.$archivo.'?ENG">English</a>'; ?>
       </td>
  	</tr>

	<tr> 
       <td align="right" nowrap>
       		<?php  echo $text_26_27; ?>
       </td>
       <td class="td_input"> 
       		<?php  echo '<span class="mensaje">'.$ingenio_actual_version.'</span>'; ?>
       </td>
	</tr>

    <tr> 
       <td align="center" colspan="2" class="mensaje_tit">
       		<?php  echo $text_data1; ?>
       </td>
  	</tr>

 	<tr> 
       <td align="right" nowrap>
       		<?php  echo $text_1; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="host" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["host"])) { echo $_POST["host"]; } else { echo $ingenio_conn[0]; }?>">
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_2; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="user" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["user"])) { echo $_POST["user"]; } else { echo $ingenio_conn[1]; }?>">
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_3; ?>
       </td>
       <td class="td_input"> 
			<input type="password" name="pass" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["pass"])) { echo $_POST["pass"]; } else { echo $ingenio_conn[2]; }?>">
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_4; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="base" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["base"])) { echo $_POST["base"]; } else { echo $ingenio_conn[3]; }?>">
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_5; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="dom" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["dom"])) { echo $_POST["dom"]; } else { echo $ingenio_conn[4]; }?>">
       </td>
  	</tr>

     <tr> 
       <td align="center" colspan="2" class="mensaje_tit">
       		<?php  echo $text_data2; ?>
       		<?php  echo '<br /><span class="text_norm">'.$text_29.'</span>'; ?>
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_6; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="dir" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["dir"])) { echo $_POST["dir"]; } else { echo $ingenio_conn[5]; }?>">
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_7; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="file" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["file"])) { echo $_POST["file"]; } else { echo $ingenio_conn[6]; }?>">
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_8; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="adir" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["adir"])) { echo $_POST["adir"]; } else { echo $ingenio_conn[7]; }?>">
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_25; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="pdir" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["pdir"])) { echo $_POST["pdir"]; } else { echo $ingenio_conn[8]; }?>">
       </td>
  	</tr>

     <tr> 
       <td align="center" colspan="2" class="mensaje_tit">
       		<?php  echo $text_data3; ?>
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_9; ?>
       </td>
       <td class="td_input"> 
			<input type="file" name="sql_file"<?php echo $es_disabled; ?> class="input_text">
       </td>
  	</tr>

     <tr> 
       <td align="center" colspan="2" class="mensaje_tit">
       		<?php  echo $text_data4; ?>
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_22; // primera instalacion ?>
       </td>
       <td class="td_input"> 
			<input type="radio" name="op" class=""<?php echo $es_disabled; ?> value="1" checked>
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_10; // actualizacion con SQL ?>
       </td>
       <td class="td_input"> 
			<input type="radio" name="op" class=""<?php echo $es_disabled; ?> value="2">
       </td>
  	</tr>

    <tr> 
       <td align="right" nowrap>
       		<?php  echo $text_24; // modificar datos ?>
       </td>
       <td class="td_input"> 
			<input type="radio" name="op" class=""<?php echo $es_disabled; ?> value="3">
       </td>
  	</tr>

  	<tr>
        <td colspan="2" align="center"> 
      		<?php
      		if ($es_disabled != "")
			{
      		?>
       			<input type="button" value="<?php  echo $text_12; ?>" class="boton" onclick="location.href='<?php echo $archivo; ?>';">
     		<?php
     		} else {
     		?>
       			<input type="hidden" name="install" value="1">
     			<input type="hidden" name="MAX_FILE_SIZE" value="3000000">
      			<input type="submit" value="<?php  echo $text_11; ?>" class="boton">
      		<?php
      		}
      		?>
       </td>
	
  	</tr>

<?php
	} // del if mostrar_form
?>

 	</form>
</table>
<?php
	
	}
	// FIN install
?>

</body>
</html>

